// import * as monitor from 'art-monitor'
// console.log(monitor.monitor)

// monitor.monitor()

import { WebVitals } from "./src/performance/index.js";

const monitor = {
  init() {
    console.log("Monitoring init...");
    // WebVitals
    console.log("WebVitals", new WebVitals());
  },
};

// 根据你的库目标，选择合适的导出方式
if (typeof window !== "undefined" && typeof window.artmonitor === "undefined") {
  window.artmonitor = monitor;
} else if (
  typeof module !== "undefined" &&
  typeof module.exports === "object"
) {
  module.exports = monitor;
}

// export default monitor

// monitor.init()

// export function monitor() {
//     console.log('Monitoring data...');
// }
